using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace Hotline.Validators.Knowledge
{
    public class UpdateKnowledgeStandardDtoValidator : AbstractValidator<UpdateKnowledgeStandardDto>
    {
        /// <summary>
        /// 修改为空验证
        /// </summary>
        public UpdateKnowledgeStandardDtoValidator()
        {
            RuleFor(d => d.Id).NotEmpty();
            RuleFor(d => d.Title).NotEmpty();
            RuleFor(d => d.Content).NotEmpty();
        }
    }
}
